{Copyright Francesco Savastano 1999-2000 all rights reserved}
unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, Buttons, ComCtrls;

type
  TForm1 = class(TForm)
    ScrollBox1: TScrollBox;
    Image1: TImage;
    TrackBar1: TTrackBar;
    Label1: TLabel;
    ColorDialog1: TColorDialog;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    OpenDialog1: TOpenDialog;
    ComboBox1: TComboBox;
    Label2: TLabel;
    Label3: TLabel;
    procedure Image1MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation
uses fillunit;
{$R *.DFM}

procedure TForm1.Image1MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
  var
  bit:tbitmap;
  ind:integer;
  begin
screen.cursor:=crhourglass;
bit:=tbitmap.create;
bit.assign(image1.picture.bitmap);
ind:=combobox1.itemindex;
if ind<0 then
ind:=0;
fill(bit,x,y,colordialog1.color,bit.canvas.pixels[x,y],trackbar1.Position/100,ind,0.1,0.5);
image1.picture.bitmap:=bit;
bit.free;
screen.cursor:=crdefault;
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
if colordialog1.execute then
bitbtn1.Font.Color:=colordialog1.Color;
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
begin
if opendialog1.execute then
begin
image1.picture.bitmap.LoadFromFile(opendialog1.filename);
image1.picture.bitmap.pixelformat:=pf24bit;
image1.Picture.Bitmap.Canvas.brush.color:=clyellow;
image1.picture.bitmap.canvas.textout(0,0,'Copyright Francesco Savastano 1999-2000');
end;
end;

end.
